RPLAYD(8)

NAME
rplayd - rplay sound server

SYNOPSIS
rplayd [options]

DESCRIPTION
rplayd is the sound server for the rplay audio system. The server listens for requests to play, pause, continue, and stop sounds using both the RPLAY and RPTP protocols. Normally RPLAY requests are received on port 5555/udp and RPTP on 5556/tcp. (Older ports 55555/udp and 55556/tcp are also supported) Access to the server is restricted using the rplay.hosts file.

rplayd can be started during the system boot process, via inetd, or by individual users. root access may be required depending on audio device permissions.

In most causes rplayd will play sounds that are available on the local disk. However, rplayd can be sent sounds via the network and rplayd can also contact other rplayds to share sound files. The index of all the local sound files is stored in rplay.conf and remote rplayds are specified in rplay.servers. Sounds received from other rplayds will be stored in a cache directory normally located in /tmp/.rplay-cache. Cache entries are expired on an LRU basis.

Many sound file formats are supported by rplayd. These include:
    AU AIFF WAV VOC UB UL
    G.721 4-bit, G.723 3-bit, G.723 5-bit
    GSM

Other formats can be played using external helper applications which convert unknown file formats to CD quality data which can then be played by rplayd. See rplay.helpers(5)

Several sounds can be played at once and sounds can be played at any sample rate. rplayd can be configured to output many different formats using the various --audio options.

On some systems, namely Solaris and Linux, rplayd can read sounds directly from CDROM using CDDA. The special sound name cdrom: will play the entire CDROM. cdrom:3-5 will play tracks 3 through 5.

OPTIONS

-A DEVICE, --audio-device=DEVICE
    Use DEVICE for the audio device (/dev/dsp).

-B N, --audio-bits=N
    Audio device bits per sample, 8 or 16.

--audio-channels=N
    Number of audio channels to use, 1 == mono, 2 == stereo.

-c N, --audio-close=N
    Close /dev/dsp after N idle seconds, disabled with 0 (5).

-F N, --audio_flush=N
    Flush /dev/dsp after N idle seconds, disabled with 0 (-1). N = -1 : flush when spool is empty. N = -2 : flush after each audio write. (not recommended) N should be <= to the audio close timeout.

--audio-format=FORMAT
    Tell rplayd to write audio data using FORMAT, where FORMAT can be ulaw, linear-8, ulinear-8, linear-16, or ulinear-16. (linear = signed, ulinear = unsigned)

--audio-fragsize=N
    Audio fragment size (0). The default size is zero which lets the audio driver pick the "best" size. The size specified must be a power of 2 greater than 16. Example: 256, 1024, 4096.

--audio-info=INFO, --info=INFO, -i INFO
    Specify complete audio device information with one option. INFO is of the form: format,sample-rate,bits,channels Examples: `ulaw,8000,8,1' and `linear-16,44100,16,2' Also provided are:
        --audio-info-ulaw, --info-ulaw -> ulaw,8000,8,1

--audio-match
    Attempt to match the sample rate of the audio device with the sample rate of the current sound when no other sounds are playing. If the match fails, --audio-sample-rate is used. This option overrides --audio-bufsize.

--audio-port=PORT[,PORT...]
    Output audio to the specified audio port(s). Valid ports are `speaker', `headphone', and `lineout'. Multiple ports can be specified using `speaker,headphone,lineout'

-r N, --audio-rate=N
    Write the audio buffer N times per second (0).

-R N, --audio-sample-rate=N
    Sample rate of the audio device.

--auth
    Enable host access authentication.

-D DIR, --cache-directory=DIR
    Use DIR for rplay.cache (/tmp/.rplay-cache).

--cache-remove
    Remove the cache directory and all its contents when rplayd exists.

-s N, --cache-size=N
    Maximum size in bytes of the rplay cache, disabled with 0 (8388608).

--cdrom0=DEVICE, --cdrom1=DEVICE, --cdrom2=DEVICE, --cdrom3=DEVICE
    Specify the cdrom[0-3] to DEVICE mapping. For Solaris 2.x the default mapping is cdrom[0-3] -> /vol/dev/aliases/cdrom[0-3]. Linux uses cdrom[0-3] -> /dev/cdrom[0-3].

-C FILE, --conf=FILE
    Use FILE for rplay.conf (/etc/rplay/rplay.conf).

-T N, --connection-timeout=N
    Close idle RPTP connections after N seconds, disabled with 0 (300).

-d, --debug
    Enable debug mode.

-f HOST, --forward=HOST
    Forward all RPLAY packets to HOST.

--fork
    Enable backgrounding rplayd at startup. (enabled)

--group=GROUP
    Run with GROUP privs. (audio)

--help
    Display helpful information.

--helpers=FILE
    Use FILE for rplay.helpers (/etc/rplay/rplay.helpers).

-H FILE, --hosts=FILE
    Use FILE for rplay.hosts (/etc/rplay/rplay.hosts).

--inetd
    Enable inetd mode. (disabled)

-L FILE, --log-file=FILE
    Use file for rplay.log (/tmp/rplay.log).

-l N, --log-level=N
    Use logging level N where 0 <= n <= 4.

--memory-cache-size=N
    Maximum size in bytes of the memory cache, disable caching with 0 (4194304).

--memory-cache-sound-size=N
    Maximum size in bytes of a sound that can be cached in memory. A value of 0 means to try and cache all sounds. (2097152)

-N, --no-audio
    Disable audio, RPTP file server mode.

--no-auth
    Disable host access authentication.

-n, --no-inetd
    Disable inetd mode. (disabled)

--no-fork
    Disable backgrounding rplayd at startup. (enabled)

--options-file=FILE
    Read rplayd options from FILE.

--port=PORT, --rplay-port=PORT
    Use PORT as the RPLAY/UDP port. (5555) (--other-rplay-port may also be available)

--rptp-port=PORT
    Use PORT as the RPTP/TCP port. (5556) (--other-rptp-port may also be available)

-S FILE, --servers=FILE
    Use FILE for rplay.servers (/etc/rplay/rplay.servers).

-t N, --timeout=N
    Exit after N idle seconds, disabled with 0 (0).

--user=USER
    Run with USER privs. (nobody)

-v, --version
    Print the rplay version and exit.

FILES
~/.rplaydrc
/tmp/.rplay-cache
/usr/local/etc/rplay.conf
/usr/local/etc/rplay.helpers
/usr/local/etc/rplay.hosts
/usr/local/etc/rplay.servers

SEE ALSO
rplay.conf(5), rplay.helpers(5), rplay.hosts(5), rplay.servers(5), rplay(1), rptp(1)